routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Home
Route::get('/home/{pole}', 'HomeController@index')->name('home');
Route::get('/', 'HomeController@index');

//Auth
Auth::routes();

//Support
Route::get('/support/consultation', 'SupportController@visu')->name('support.visu');
Route::resource('support', 'SupportController', ['except' => ['index', 'destroy']]);

//administration utilisateurs
Route::get('/administration/consultation', 'AdminController@index')->name('administration.index');
Route::resource('administration', 'AdminController', ['except' => ['index']]);


Route::resource('note', 'NoteController');

Route::get('/note/download/{note}', 'NoteController@downloadFile')->name('note.download');
Route::get('/administration/password/{nom}/edit', 'AdminController@editPassword')->name('administration.editPassword');
Route::put('/administration/password/{id}', 'AdminController@updatePassword')->name('administration.updatePassword');

app/Http/Controllers/SupportController.php
<?php

namespace mfgs\Http\Controllers;

use Illuminate\Http\Request;
use mfgs\Http\Requests\DdiRequest;
use Illuminate\Support\Facades\Auth;
use mfgs\{urgenceDdi,ddi, statuDdi, droit, User};
use Carbon\Carbon;

class SupportController extends Controller
{
    public function __construct()
    {
        $this->middleware('cadre');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function visu()
    {
        $ddis = getDdi();
        return view('support.index', compact('ddis'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {   
        $data=getDataCreate();
        return view('support.create', compact('data'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(DdiRequest $request)
    {
        ddi::create([
            'titre' => $request->titre,
            'contenu' => $request->contenu,
            'date_demande' => Carbon::now()->format('d-m-Y'),
            'month' => Carbon::now()->month,
            'droit_id' => $request->service,
            'demandeur_user_id' => Auth::User()->id,
            'concerne_user_id' => $request->userConcerne,
            'urgence_ddi_id' => $request->urgence,
        ]);
         return redirect()->route('home', Auth::User()->droit->libelle)->with('status', "Demande d'intervention envoyée");
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $ddi= Ddi::findOrFail($id);
        $statuts = statuDdi::all();
        return view('support.edit', ['ddi' => $ddi, 'statuts'=>$statuts]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $ddi = ddi::findOrFail($id);
        $ddi->commentaires = $request->input('commentaires');
        $ddi->statu_ddi_id = $request->input('statut');
        $ddi->save();
        return redirectAutoDdi($ddi,$id);
    }
}

resources/views/support/create.blade.php
@extends('layouts.master')

@section('content')
	<div class="card">
		<div class="card-header bg-danger text-white text-center font-weight-bold">
			Envoyer une demande d'intervention
		</div>
		<div class="card-body">
			<form action="{{route('support.store')}}", method="POST">
				@csrf
				<div class="form-row col">
					<div class="form-group col-md-2">
						<label for="service">Service concerné : </label>
						<select id="service" name="service" class="form-control">
							@foreach($data['libelles'] as $libelle)
								<option value="{{$libelle->id}}" >{{$libelle->libelle}}</option>
							@endforeach
						</select>
					</div>
					<div class="form-group col-md-4 ml-4">
						<label for="userConcerne">Utilisateur concerné : </label>
						<select name="userConcerne" class="form-control">
							@foreach($data['users'] as $user)
								<option value="{{$user->id}}" >{{$user->nom}} {{$user->prenom}}</option>
							@endforeach
						</select>
					</div>
				</div>
				<div class="form-row col">
					<div class="form-group col-md-2">
						<label for="urgence">Urgence : </label>
						<select id="urgence" name="urgence" class="form-control">
							@foreach($data['urgence'] as $urgence)
								<option value="{{$urgence->id}}">{{$urgence->libelle}}</option>
							@endforeach
						</select>
					</div>
				</div>
				<div class="form-group col-md-6">
					<label for="titre">Description courte</label>
					<input type="text" name="titre" class="form-control" id="titre" aria-describedby="titreHelp" placeholder="Entrez un description courte">
					<small id="titreHelp" class="form-text text-muted">Max 200 caractères.</small>
				</div>
				<div class="form-group col">
					<label for="contenu">Description de votre demande</label>
					<textarea class="form-control" id="contenu" name="contenu" placeholder="Entrez une déscription précise de votre demande" aria-describedby="contenuHelp" rows="10"></textarea>
					<small id="titreHelp" class="form-text text-muted">N'oubliez pas d'être précis dans votre demande</small>
				</div>
				<div class="col">
					<button type="submit" class="btn btn-danger">Envoyer</button>
				</div>
			</form>
		</div>
	</div>
@stop

resources/views/support/edit.blade.php
@extends('layouts.master')

@section('content')
	<div class="card">
		<div class="card-header bg-danger text-white text-center">
			<strong class="text-uppercase">{{$ddi->titre}}</strong>
		</div>
		<div class="card-body">
			<div class="row">
				<div class="col">
					<div class="row mb-4">
						<div class="col text-center">
							<strong>DDI_{{$ddi->id}}</strong>
						</div>
					</div>
					<div class="row mt-4">
						<div class="col text-right">
							<strong>Urgence : </strong>
						</div>
						<div class="col text-left {{$ddi->isUrgent()}}">
							{{$ddi->urgence_ddi->libelle}}
						</div>
					</div>
					<div class="row mt-4">
						<div class="col text-right">
							<strong>Statut :</strong>
						</div>
						<div class="col text-left">
							<form method="POST" action="{{route('support.update', $ddi->id)}} ">
								@csrf
								@method('PUT')
								<select name="statut" class="form-control">
									@foreach($statuts as $statut)
										  <option value="{{$statut->id}}" {{$ddi->statu_ddi_id == $statut->id ?'selected':''}}>{{$statut->libelle}}</option>
									@endforeach
								</select>
						</div>
					</div>
					<div class="row mt-4">
						<div class="col text-right">
							<strong>Demandeur : </strong>
						</div>
						<div class="col text-left">
							{{$ddi->demandeur_user->nom}} {{$ddi->demandeur_user->prenom}}
						</div>
					</div>
					<div class="row mt-4">
						<div class="col text-right">
							<strong>Concerné : </strong>
						</div>
						<div class="col text-left">
							{{$ddi->concerne_user->nom}} {{$ddi->concerne_user->prenom}}
						</div>
					</div>
					<div class="row mt-4">
						<div class="col text-right">
							<strong>Date demande : </strong>
						</div>
						<div class="col text-left">
							{{$ddi->date_demande}}
						</div>
					</div>
				</div>
				<div class="col">
					<div class="row mt-4">
						<div class="col text-center">
							<strong>{{$ddi->contenu}}</strong>
						</div>
					</div>
				</div>
			</div>
			<div class="row mt-4">
				<div class="col">
						<div class="row">
							<div class="col text-center">
      							<textarea id="commentaire" name="commentaires" rows="10" cols="100" placeholder="{{$ddi->commentaires ??'Inscrire les commentaires ici'}}">{{$ddi->commentaires}}</textarea>
							</div>
						</div>
						<div class="row">
							<div class="col text-right">
								<a class="btn btn-danger mt-4" href="{{route('support.visu')}}" role="button">Retour</a>
							</div>
							<div class="col text-left">
								<button class="btn btn-danger mt-4" type="submit">Enregistrer</button>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
@stop

resources/views/support/index.blade.php
@extends('layouts.master')

@section('content')
	@if (session('status'))
	    <div class="alert alert-success">
	        {{ session('status') }}
	    </div>
	@endif
	<div class="card">
		<div class="card-header bg-danger text-white text-center font-weight-bold">
			Demandes d'intervention
    	</div>
    	<div class="card-body">
	    	<table class="table table-striped">
	    		<thead class="text-center">
				    <tr class="text-danger">
						<th scope="col">ID</th>
						<th scope="col">Titre</th>
						<th scope="col">Utilisateur concerné</th>
						<th scope="col">Utilisateur demandeur</th>
						<th scope="col">Urgence</th>
						<th scope="col">Date création</th>
						<th scope="col">Statut</th>
				    </tr>
				</thead>
	    		<tbody class="text-center">
					@forelse($ddis as $ddi)
					    <tr>
					    	<td>DDI_{{$ddi->id}}</td>
					    	<td><a href="{{route('support.edit',$ddi->id)}}" class="">{{$ddi->titre}}</a></td>
					    	<td>{{$ddi->concerne_user->nom.' '.$ddi->concerne_user->prenom}}</td>
					    	<td>{{$ddi->demandeur_user->nom.' '.$ddi->demandeur_user->prenom}}</td>
					    	<td class="{{$ddi->isUrgent()}}">{{$ddi->urgence_ddi->libelle}}</td>
					    	<td>{{$ddi->date_demande}}</td>
					    	<td>{{$ddi->statu_ddi->libelle}}</td>
					    </tr>
					@empty
						<p>Pas de ddi</p>
					@endforelse
				</tbody>
			</table>
		</div>
	</div>
@stop